#-*- coding:utf-8 -*-
import requests
import json
from entity.OrderInfo import Currency

class CallbackOrderUtils():
    
    #callbackurl = "http://203.130.42.247/mgr/"
    callbackurl = "http://192.168.1.5:11009/"
    
    def __init__(self):
        '''
        Constructor
        '''
    #回调占座结果
    def BallbackOrder(self,orderNo,orderStatus,orderPnr,accountType,userName):
        url = self.callbackurl+"orOrdertb/orderCallBack"
        fromParam = {}
        fromParam['orderNo'] = orderNo
        fromParam['orderStatus'] = orderStatus
        fromParam['orderPnr'] = orderPnr
        fromParam['accountType'] = accountType
        fromParam['userName'] = userName
        session = requests.session()
        res = session.post(url,data=fromParam)
        print(res.text)
    #回调价格
    def BallbackPrice(self,orderNo,webPriceGo,webPriceBack,agentPriceGo,agentPriceBack,bigPriceGo,bigPriceBack):
        url = self.callbackurl+"orOrdertb/ballbackPrice"
        print('价格回调：'+url)
        fromParam = {}
        fromParam['orderNo'] = '2018021015034810637110181' #orderNo
        fromParam['webPrice'] = str({'go':webPriceGo,'back':webPriceBack})
        fromParam['agentPrice'] = str({'go':agentPriceGo,'back':agentPriceBack})
        fromParam['bigPrice'] = str({'go':bigPriceGo,'back':bigPriceBack})
        print(str(fromParam))
        session = requests.session()
        res = session.post(url,data=fromParam)
        print(res.text)
    #通过机场三字码查询币种与汇率
    def cityToCurrency(self,stationCode):
        url = self.callbackurl+"scCitycurrency/cityToCurrency"
        print(url)
        fromParam = {}
        fromParam['stationCode'] = stationCode
        session = requests.session()
        res = session.post(url,data=fromParam)
        json_str = json.loads(res.text)
        print(json_str)
        if 200 == json_str['status']:
            json_str = json_str['attachment']
            currency = Currency()
            currency.stationCode = json_str['stationCode']                  #机场三字码
            currency.currencyCode = json_str['currencyCode']                #币种
            currency.exchangeCode = json_str['exchangeCode']                #转化币种 一般为CNY
            currency.countryCode = json_str['countryCode']                  #城市编码
            currency.UnionPayOriginRate = json_str['UnionPayOriginRate']    #银联原始汇率
            currency.UnionPayFinalRate = json_str['UnionPayFinalRate']      #银联调整后汇率
            currency.AkOriginRate = json_str['AkOriginRate']                #亚航原始汇率
            currency.AkFinalRate = json_str['AkFinalRate']                  #亚航调整后汇率
            return currency
        return
if __name__ == '__main__':
    cout = CallbackOrderUtils()
    #cout.BallbackOrder('2018030915450779734174620', '1', 'YUNIHJ', '代理人占座', 'CNTRIPTOPK_ADMIN')
    currency = cout.cityToCurrency('CAN')
    print(currency.currencyCode)
    
    